@import url("https://fonts.googleapis.com/css2?family=Honk&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Oxanium:wght@200..800&display=swap");

body,
html {
  background-color: rgb(17, 0, 49);
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.oxanium-desc {
  font-family: "Oxanium", sans-serif;
}

.honk-title {
  font-family: "Honk", system-ui;
  font-weight: 400;
}

.container {
  position: relative;
  width: 100vw;
  height: 100vh;
}

img {
  position: absolute;
  top: 0%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.title {
  font-family: "Honk";
  position: absolute;
  top: 15%;
  left: 50%;
  transform: translateX(-50%);
  color: azure;
  font-size: 4vw;
}

#desc {
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: max-content;
  background-color: #162E49;
  border: solid 5px #2A5782;
  border-radius: 25px 5px 5px 25px;
  display: flex;
  flex-direction: row;
  align-items: stretch;
  gap: 10px;
}

.text h1 {
  font-family: "Oxanium", sans-serif;
  font-size: 4vw;
  margin: 20px;
  color: white;
  width: max-content;
  height: auto;
}

.text p {
  font-family: "Oxanium", sans-serif;
  font-size: 2vw;
  margin: 20px;
  color: white;
  max-width: 40vw;
}

.knopjes {
  display: flex;
  flex-direction: column;
}

#desc a {
  text-decoration: none;
}

/* PORTFOLIO button */
#desc button {
  font-family: "Oxanium", sans-serif;
  font-weight: bold;
  width: 70px;
  flex: 1; /* vult gelijkmatig de hoogte */
  background-color: #2A5782;
  color: white;
  border: solid 2px rgb(17, 0, 49);
  border-radius: 10px 3px 3px 10px;
  cursor: pointer;
}

#desc button span {
  writing-mode: vertical-rl;
  text-orientation: upright;
  padding: 10px;
  font-size: 1.5vw;
}

